com.google.protobuf

## Interface Internal.EnumLiteMap<T extends Internal.EnumLite>

- All Known Implementing Classes:
    Descriptors.EnumDescriptor
  Enclosing class:
    Internal

      public static interface Internal.EnumLiteMap<T extends Internal.EnumLite>

  Interface for an object which maps integers to `Internal.EnumLite`s. `Descriptors.EnumDescriptor` implements this interface by mapping numbers to `Descriptors.EnumValueDescriptor`s. Additionally, every generated enum type has a static method internalGetValueMap() which returns an implementation of this type that maps numbers to enum values.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `findValueByNumber(int number)`

- - ### Method Detail

    - #### findValueByNumber

          T findValueByNumber(int number)